#include "testlib.h"
#include <bits/stdc++.h>

using namespace std;


int main(int argc, char* argv[]) {
    registerValidation(argc, argv);
    
    int n = inf.readInt(1, 3000, "n");
    inf.readSpace();
    int k = inf.readInt(1, 10000, "k");
    inf.readEoln();

    for (int i = 0; i < n; i++) {
        inf.readToken("[a-zA-Z]{1,15}", "name");
        inf.readSpace();
        inf.readInt(1, 3000, "frequency");
        inf.readEoln();
    }
    inf.readEof();
    
    return 0;
}